/**
 * Copyright (c) 2004 Red Hat, Inc. All rights reserved.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * Component of: Red Hat Application Server
 * 
 * Initial Developers: Aizaz Ahmed
 *                     Vivek Lakshmanan
 *                     Andrew Overholt
 *                     Matthew Wringe
 *
 */
package olstore.dto;

import olstore.entity.AddressLocal;

/**
 *This DTO is used to store the user's information whenever a new
 *user is being created.
 */
public class CreateUserValue {
    
    private String username = null;
    private String fname  = null;
    private String lname  = null;
    private String emailAdd  = null;
    private String phoneNum  = null;
    private String passwd1  = null;
    private AddressLocal address  = null;
    
    
    public String getUsername()
    {
        return username;
    }
    
    public void setUsername(String username)
    {
        this.username=username;
    }
    
    public String getFname()
    {
        return fname;
    }
    
    public void setFname(String fname)
    {
        this.fname=fname;
    }
    
    public String getLname()
    {
        return lname;
    }
    
    public void setLname(String lname)
    {
        this.lname=lname;
    }
    
    public String getEmailAdd()
    {
        return emailAdd;
    }
    
    public void setEmailAdd(String emailAdd)
    {
        this.emailAdd=emailAdd;
    }
    
    public String getPhoneNum()
    {
        return phoneNum;
    }
    
    public void setPhoneNum(String phoneNum)
    {
        this.phoneNum=phoneNum;
    }
    
    public String getPasswd1()
    {
        return passwd1;
    }
    
    public void setPasswd1(String passwd1)
    {
        this.passwd1=passwd1;
    }
    
    public AddressLocal getAddress()
    {
        return address;
    }
    
    public void setAddress(AddressLocal address)
    {
        this.address=address;
    }
    
}
